mod models;

use models::Resource;

const USER_AGENT: &str = "User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/112.0";

pub struct AffluencesClient {
    client: reqwest::Client,
}

impl AffluencesClient {
    pub fn new() -> Self {
        Self {
            client: reqwest::Client::builder()
                .user_agent(USER_AGENT).build().unwrap(),
        }
    }

    pub async fn available(&mut self) -> reqwest::Result<Vec<Resource>> {
        self.client.get("https://reservation.affluences.com/api/resources/026b8caa-d310-464f-b714-4c21a2cf98ea/available?date=2023-05-11&type=1").send().await?.json::<Vec<Resource>>().await
    }
}
